| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties

# IG::Lib::WaitFileEventBaseByProxyLatence Class Reference

Base class for classes that provide blocking until a file or directory is created/removed. This clas uses a proxy class for performing its basic operation. More...

Inheritance diagram for IG::Lib::WaitFileEventBaseByProxyLatence:
[legend]
Collaboration diagram for IG::Lib::WaitFileEventBaseByProxyLatence:
[legend]

List of all members.

## Public Member Functions
override bool | Condition ()
| Returns true if unblocking condition is satisfied, and false otherwise.
override void | CancelOne ()
| Cancels the current waiting for the condition (if one is going on) and unblocks the thread on which waiting was called (possibly with some latency).
override void | Wait ()
| Blocks until the specified condition gets satisfied. See class description for details.
override string | ToString ()
## Protected Member Functions
| WaitFileEventBaseByProxyLatence ()
## Protected Attributes
WaitFileEventLatenceBase | _waiterLatence
| Proxy object that actually performs operations for derived classes of this class.
## Properties
virtual string | Path`[get, set]`
| Path of the file or directory on which the particular event is waited for. Can be specified as relative path, but is internally stored as fully qualified path.
override bool | IsWaiting`[get]`
| Returns true if waiting for unblocking condition is currently performed, and false otherwise. Setting should only be done within the waiting function.
override bool | CancelFlag`[get, set]`
| If this flag is set then the current waiting (if one is going on) will be cancelled.

## Detailed Description

Base class for classes that provide blocking until a file or directory is created/removed. This clas uses a proxy class for performing its basic operation.

$A Igor Jun10; TODO: implement non-latence vaiting (via file events)!

## Constructor & Destructor Documentation

IG::Lib::WaitFileEventBaseByProxyLatence::WaitFileEventBaseByProxyLatence | ( |  | ) | `[inline, protected]`

## Member Function Documentation

override bool IG::Lib::WaitFileEventBaseByProxyLatence::Condition | ( |  | ) | `[inline, virtual]`

Returns true if unblocking condition is satisfied, and false otherwise.

Implements IG::Lib::WaitConditionBase.

override void IG::Lib::WaitFileEventBaseByProxyLatence::CancelOne | ( |  | ) | `[inline, virtual]`

Cancels the current waiting for the condition (if one is going on) and unblocks the thread on which waiting was called (possibly with some latency).

Reimplemented from IG::Lib::WaitConditionBase.

override void IG::Lib::WaitFileEventBaseByProxyLatence::Wait | ( |  | ) | `[inline, virtual]`

Blocks until the specified condition gets satisfied. See class description for details.

This method will normally not be overridden, except with intention to change the condition check time plan. When overriding, use the original method as template.

Implements IG::Lib::WaitConditionBase.

override string IG::Lib::WaitFileEventBaseByProxyLatence::ToString | ( |  | ) | `[inline]`

## Member Data Documentation

WaitFileEventLatenceBase IG::Lib::WaitFileEventBaseByProxyLatence::_waiterLatence`[protected]`

Proxy object that actually performs operations for derived classes of this class.

## Property Documentation

virtual string IG::Lib::WaitFileEventBaseByProxyLatence::Path`[get, set]`

Path of the file or directory on which the particular event is waited for. Can be specified as relative path, but is internally stored as fully qualified path.

Implements IG::Lib::IWaitFileEvent.

override bool IG::Lib::WaitFileEventBaseByProxyLatence::IsWaiting`[get]`

Returns true if waiting for unblocking condition is currently performed, and false otherwise. Setting should only be done within the waiting function.

Reimplemented from IG::Lib::WaitConditionBase.

override bool IG::Lib::WaitFileEventBaseByProxyLatence::CancelFlag`[get, set, protected]`

If this flag is set then the current waiting (if one is going on) will be cancelled.

Reimplemented from IG::Lib::WaitConditionBase.

The documentation for this class was generated from the following file:

- WaitConditionFile.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events